Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037199
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2017-10-31 12:592018-01-03 12:38
ReportermaiteView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q1
StatusclosedFix in branchFixed in SCM revision7ba2441f5afa
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037199: Date filtering criteria not properly carried when navigating from General Ledger Report to Journal Entries Report

Description"Date From" and "Date to" values are not properly carried when user navigates from General Ledger Report to an specific accounting entry (visualized in Journal Entries Report). However "Account no" value is properly carried
Steps To Reproduce1. Access General Ledger Report and set "Date from"= 30-06-2017, "Date to"= 30-06-2017, Organization= F&B España, From Account= 40000 Proveedores (euros) a corto plazo, To Account=40000 Proveedores (euros) a corto plazo
2. Run report in HTML format
3. Click on line with description "10001064 # SI Rapid, SA"
4. You will be carried to Journal Entries Report and invoice's accounting entry will be shown (which is ok)
5. Press "PDF" button to print this entry and realize that not only this entry is printed but all entries related with this account are printed as report is executed filtered by account by not by date from and date to

NOTE: in case of a real environment with huge amount of data server can even crash due to missed date filtering criteria
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0100202)
AtulOpenbravo (developer)
2017-10-31 20:58

As Accounting Schema filter is mandatory, the isEmpty check does not allow to fetch the input parameter strFactAcctGroupId. Hence reports filter for the current record being opened from General Ledger Report is lost.

Applying date filters from General Ledger Report would not be the proper solution to this problem as records other than current record would be still printed whose accounting date is within the range of From Date and To Date applied.
(0100203)
AtulOpenbravo (developer)
2017-10-31 21:04

Test Plan

- Login as F&B International Group Admin
- Navigate to General Ledger Report,
  set From Date = 31-03-2017,
      To Date = 31-03-2017,
      Organization= F&B España,
      From Account= 40000 Proveedores (euros) a corto plazo,
      To Account=40000 Proveedores (euros) a corto plazo

- Run report in HTML format
- Click on line with description "<Document No># SI Rapid, SA"
- Realize Journal Entries Report is opened and invoice's accounting entry will be shown

- Press "PDF" button to print this entry and realize that only this entry is printed. This is OK. (Only one time single record is printed)

- Try to print again using PDF button. This time as command is set to Default, all records would get printed. This is as expected.

/*
       * Scenario 1: We will have FactAcctGroupId while the request redirect from
       * ReportGeneralLedger Report. Otherwise we don't need to use FactAcctGroupId for PDF or Excel
       * report. So we have to check the immediate history command has DIRECT2 (It means previous
       * request from ReportGeneralLedger Report) Scenario 2: If we print once in PDF, it will reset
       * the history of COMMAND with DEFAULT, so same record of redirect wont print more than one
       * time. It will consider as default in second time.Scenario 3: If user change the filter
       * criteria, however he has come from ReportGeneralLedger Report(DIRECT2) We don't take
       * strFactAcctGroupId(will take care of criteria from current screen)
       */
(0100359)
dmiguelez (developer)
2017-11-08 18:08

Test Plan

- Login as System Administrator
- Naviate to Preferences Window
  Filter to see the Preference With Attribute: ReportsLimit
  Change the value to 1000

Log out

- Login as F&B International Group Admin
- Navigate to General Ledger Report,
  set From Date = 31-03-2017,
      To Date = 31-03-2017,
      Organization= F&B España,
      From Account= 40000 Proveedores (euros) a corto plazo,
      To Account=40000 Proveedores (euros) a corto plazo

- Run report in HTML format
- Click on line with description "<Document No># SI Rapid, SA"
- Realize Journal Entries Report is opened and invoice's accounting entry will be shown

- Press "PDF" button to print this entry and realize that only this entry is printed. This is OK. (Only one time single record is printed)

- Try to print again using PDF button. A warning message is shown stating that the number or records to be printed is too high
(0100360)
hgbot (developer)
2017-11-08 18:34

Repository: erp/devel/pi
Changeset: 7ba2441f5afa4ef7cbc71787d258c3a64c835975
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Nov 07 23:31:08 2017 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/7ba2441f5afa4ef7cbc71787d258c3a64c835975 [^]

Fixes Issue 37199:Date filtering criteria not properly carried when
navigating from General Ledger Report to Journal Entries Report

** Accounting Schema Filter is mandatory in Journal Entries Report
so far fetching strFactAcctGroupId is it necessary to remove
the isEmpty check for strcAcctSchemaId as it wont be empty
in any case.

** In case of printing pdf or xls report when factacctgroup id or
record id is not passed (default), a reportslimit check is done to
avoid performance problem.

---
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedgerJournal.java
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedgerJournal_data.xsql
---
(0100361)
hgbot (developer)
2017-11-08 18:34

Repository: erp/devel/pi
Changeset: f1b82b7deb61116080fb87b590db105cf925b45f
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Wed Nov 08 18:32:01 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/f1b82b7deb61116080fb87b590db105cf925b45f [^]

Related to Issue 37199. Added comments and changed method name
to something more meaningful

---
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedgerJournal.java
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedgerJournal_data.xsql
---
(0100362)
dmiguelez (developer)
2017-11-08 18:35

Code Review + Testing Ok
(0101385)
hudsonbot (developer)
2018-01-03 12:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test
(0101386)
hudsonbot (developer)
2018-01-03 12:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-10-31 12:59 maite New Issue
2017-10-31 12:59 maite Assigned To => Triage Finance
2017-10-31 12:59 maite Modules => Core
2017-10-31 12:59 maite Triggers an Emergency Pack => No
2017-10-31 12:59 maite Issue Monitored: networkb
2017-10-31 13:00 maite Steps to Reproduce Updated View Revisions
2017-10-31 20:35 AtulOpenbravo Status new => scheduled
2017-10-31 20:58 AtulOpenbravo Note Added: 0100202
2017-10-31 21:04 AtulOpenbravo Note Added: 0100203
2017-11-02 16:59 dmiguelez Assigned To Triage Finance => AtulOpenbravo
2017-11-08 18:08 dmiguelez Note Added: 0100359
2017-11-08 18:34 hgbot Checkin
2017-11-08 18:34 hgbot Note Added: 0100360
2017-11-08 18:34 hgbot Status scheduled => resolved
2017-11-08 18:34 hgbot Resolution open => fixed
2017-11-08 18:34 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7ba2441f5afa4ef7cbc71787d258c3a64c835975 [^]
2017-11-08 18:34 hgbot Checkin
2017-11-08 18:34 hgbot Note Added: 0100361
2017-11-08 18:35 dmiguelez Review Assigned To => dmiguelez
2017-11-08 18:35 dmiguelez Note Added: 0100362
2017-11-08 18:35 dmiguelez Status resolved => closed
2017-11-08 18:35 dmiguelez Fixed in Version => 3.0PR18Q1
2018-01-03 12:38 hudsonbot Checkin
2018-01-03 12:38 hudsonbot Note Added: 0101385
2018-01-03 12:38 hudsonbot Checkin
2018-01-03 12:38 hudsonbot Note Added: 0101386


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker